#
# spec file for package tfupdate
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tfupdate
Version:        0.9.0
Release:        1.1
Summary:        Update version constraints in your Terraform configurations
License:        MPL-2.0
URL:            https://github.com/minamijoyo/tfupdate
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.24

%description
Features

* Update version constraints of Terraform core, OpenTofu core, providers, and
  modules
* Update dependency lock files (.terraform.lock.hcl) without Terraform CLI
* Update all your Terraform configurations and lock files recursively under a
  given directory
* Get the latest release version from the GitHub, GitLab, Terraform Registry,
  or OpenTofu Registry
* Terraform v0.12+ support

If you integrate tfupdate with your favorite CI or job scheduler, you can check
the latest release daily and create a Pull Request automatically.

%prep
%autosetup -p1 -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o ./bin/%{name}

%install
# Install the binary.
install -D -m 0755 ./bin/%{name} %{buildroot}/%{_bindir}/%{name}

%check
%{buildroot}/%{_bindir}/%{name} --version | grep %{version}

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sat May  3 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- Update to version 0.9.0:
  * Bump version to v0.9.0
  * Update CHANGELOG
  * Update description for brew tap
  * Update README
  * Add acceptance tests for OpenTofu
  * Add support for updating .terraform.lock.hcl using OpenTofu
    registry
  * Create a lock index from the given tfregistry config
  * Unify tfregistry config for release and lock packages
  * Allow TFREGISTRY_BASE_URL to set the host of the Terraform
    registry
  * Remove the experimental badge from the Registry Provider source
    type
  * Use the list all versions API for the OpenTofu registry
    compatibility
  * Add support for the OpenTofu registry as a release source
  * Pin all GitHub Actions
  * Use a forked terraform-config-inspect to support .tofu
    extension
  * Add support for .tofu extension
  * Add support for updating version constraints of opentofu core
  * Add support for Terraform 1.11
  * Update hcl to v2.23.0
  * Update Alpine to 3.21
  * Update golangci-lint to 1.64.8
  * Update Go to 1.24
* Mon Apr 28 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- new package tfupdate: update version constraints in your
  Terraform configurations
